<div class="relative">
  <LoadingComponent class="absolute" v-show="loadingFullPage" />
  <template v-show="!loadingFullPage">
    <div v-if="store && store.store" id="detaiSellerStore">
      <div class="flex items-center py-4">
        <nuxt-link to="/seller/dashboard" style="color: #737373"
          >Home</nuxt-link
        >
        <p class="mx-3 mb-0 text-[#637381]">></p>
        <nuxt-link to="/seller/store" style="color: #737373">
          Manage Stores
        </nuxt-link>
        <p class="mx-3 mb-0 text-[#637381]">></p>
        <p class="mb-0 sm:block hidden text-base" style="color: #000">
          {{store.store.storeName}}
        </p>
        <p class="mb-0 sm:hidden block text-base" style="color: #000">
          {{store && store.store && store.store.storeName &&
          store.store.storeName.length > 40 ? store.store.storeName.slice(0,40)
          + '...': store.store.storeName}}
        </p>
      </div>

      <div
        class="d-block d-md-flex border items-center justify-between border-gray-200 bg-white px-6 py-5 py-md-2"
        style="gap: 12px"
      >
        <div class="md:flex items-center">
          <div class="d-flex align-center mb-3 mb-md-0">
            <div
              class="border rounded-md border-blue-500 flex items-center justify-center pa-1 px-4"
              style="max-width: 24px; width: 100%"
            >
              <v-icon color="#3B82F6"> mdi-earth</v-icon>
            </div>
            <div
              v-if="loadingTable"
              class="mx-3"
              style="width: 81px; height: 32px"
            >
              <v-skeleton-loader width="100%" height="100%" type="card">
              </v-skeleton-loader>
            </div>
            <p v-else class="mb-0 text-sm text-blue-500 font-semi-bold mx-3">
              {{store && store && store.store && store.store.storeName}}
            </p>
          </div>
          <div v-if="loadingTable" style="width: 415px; height: 32px">
            <v-skeleton-loader width="100%" height="100%" type="card">
            </v-skeleton-loader>
          </div>
          <h4 v-else class="text-base font-semi-bold text-neutral-900">
            {{store && store && store.product && store.product.productName}}
          </h4>
        </div>
        <div class="flex gap-3 items-center justify-end">
          <a
            v-if="store.store && store.store.status == 'active'"
            :href="`https://${store.store.domain}`"
            target="_blank"
          >
            <v-btn
              outlined
              color="primary"
              height="36"
              width="56"
              class="px-0 mt-2 mt-sm-0"
            >
              <v-icon small> mdi-open-in-new </v-icon>
            </v-btn>
          </a>
          <!-- isNotChangeShowDateEnd {{isNotChangeShowDateEnd}} isNotChangeStore
          {{isNotChangeStore}} isNotChangeDateStart {{isNotChangeDateStart}}
          isNotChangeDateEnd {{isNotChangeDateEnd}} isNotChangeTimePickerStart
          {{isNotChangeTimePickerStart}} isNotChangeTimePickerEnd
          {{isNotChangeTimePickerEnd}} isNotChangePixel {{isNotChangePixel}} -->
          <v-btn
            @click="dialogCancelChange =!dialogCancelChange"
            v-if="tab == 2 && (isNotChangeShowDateEnd == false || isNotChangeStore == false || isNotChangeDateStart == false || isNotChangeDateEnd == false || isNotChangeTimePickerStart == false || isNotChangeTimePickerEnd == false || isNotChangePixel == false || isNotChangeListImage == false || isNotChangeDiscount == false || isNotChangeListMinimum == false || isNotChangeCheckboxMinimum == false || isNotChangeMinimumRequire == false)"
            outlined
            color="primary"
            height="36"
            width="80"
            class="px-0 mt-2 mt-sm-0 !text-sm text-none"
          >
            Cancel
          </v-btn>
          <button
            v-if="tab == 2 && (isNotChangeShowDateEnd == false || isNotChangeStore == false || isNotChangeDateStart == false || isNotChangeDateEnd == false || isNotChangeTimePickerStart == false || isNotChangeTimePickerEnd == false || isNotChangePixel == false || isNotChangeListImage == false || isNotChangeDiscount == false || isNotChangeListMinimum == false || isNotChangeCheckboxMinimum == false || isNotChangeMinimumRequire == false)"
            @click="saveChange()"
            class="text-white text-sm hover:shadow-md bg-blue-500 hover:bg-blue-600 active:bg-blue-700 focus:outline-none focus:ring-blue-300 h-[36px] px-4 rounded-md"
            style="text-wrap: nowrap"
          >
            Save Changes
          </button>
        </div>
      </div>

      <v-tabs show-arrows v-model="tab" class="gap-4 items-start mt-4">
        <template v-for="(item, idx) in tabTitle">
          <v-tab class="text-none justify-start px-1" :key="idx">
            <v-icon small class="mr-2">{{item.icon}}</v-icon>
            {{item.title}}
          </v-tab>
          <div class="inline">
            <v-divider></v-divider>
          </div>
        </template>
        <v-tabs-items v-model="tab" touchless>
          <v-tab-item class="!rounded-3xl !px-0">
            <v-card
              flat
              class="!rounded-xl"
              style="background: transparent !important"
            >
              <v-card-text class="!rounded-3xl px-0">
                <div
                  class="d-flex align-center gap-x-2 sm:overflow-x-auto overflow-x-scroll"
                >
                  <button
                    class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter h-9 !max-w-[100px] min-w-[100px]"
                    @click="onFilterByTime('Today')"
                    :class="timeActive === 'Today' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
                  >
                    Today
                  </button>
                  <button
                    class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter h-9 !max-w-[100px] min-w-[100px]"
                    :class="timeActive === 'Yesterday' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
                    @click="onFilterByTime('Yesterday')"
                  >
                    Yesterday
                  </button>
                  <button
                    class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter h-9 !max-w-[100px] min-w-[100px]"
                    :class="timeActive === 'This week' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
                    @click="onFilterByTime('This week')"
                  >
                    This week
                  </button>
                  <button
                    class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter h-9 !max-w-[100px] min-w-[100px]"
                    :class="timeActive === 'Last week' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
                    @click="onFilterByTime('Last week')"
                  >
                    Last week
                  </button>
                  <button
                    class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter h-9 !max-w-[100px] min-w-[100px]"
                    :class="timeActive === 'This month' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
                    @click="onFilterByTime('This month')"
                  >
                    This month
                  </button>
                  <button
                    class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter h-9 !max-w-[100px] min-w-[100px]"
                    :class="timeActive === 'Last month' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
                    @click="onFilterByTime('Last month')"
                  >
                    Last month
                  </button>
                  <button
                    class="filter-btns rounded py-2 text-sm cursor-pointer px-3 flex items-center justify-center date-filter h-9 !max-w-[100px] min-w-[100px]"
                    :class="timeActive === 'This year' ? 'text-white bg-blue-common' : 'text-black-common bg-white'"
                    @click="onFilterByTime('This year')"
                  >
                    This year
                  </button>
                </div>
                <div
                  class="grid lg:grid-cols-4 sm:grid-cols-2 grid-cols-1 gap-4 my-6 w-full ml-0"
                >
                  <div class="pl-md-0" v-for="(itemStats, i) in stats">
                    <div class="border bg-white rounded-sm py-4 md:px-8 px-3">
                      <div class="flex items-center mb-8">
                        <div class="icon mr-3">
                          <img
                            src="~assets/images/store/product/icon-1.png"
                            alt=""
                            v-if="itemStats.type === 'orders'"
                          />
                          <img
                            src="~assets/images/store/product/icon-2.png"
                            alt=""
                            v-if="itemStats.type === 'revenue'"
                          />
                          <img
                            src="~assets/images/store/product/icon-3.png"
                            alt=""
                            v-if="itemStats.type === 'productCost'"
                          />
                          <img
                            src="~assets/images/store/product/icon-4.png"
                            alt=""
                            v-if="itemStats.type === 'conversionRate'"
                          />
                        </div>
                        <h4 class="text-base font-md">{{itemStats.text}}</h4>
                      </div>
                      <div
                        style="width: 81px; height: 32px"
                        v-if="loadingTable"
                      >
                        <v-skeleton-loader
                          width="100%"
                          height="100%"
                          type="card"
                        >
                        </v-skeleton-loader>
                      </div>
                      <div class="flex items-end" v-else>
                        <h3
                          class="text-gray-900 sm:text-2xl text-base font-semibold mr-3"
                        >
                          {{itemStats.value}}
                        </h3>
                      </div>
                    </div>
                  </div>
                </div>
                <p class="text-xs font-semibold">Lastest Order</p>
                <div class="bg-white !rounded-lg border border-gray-200 mt-4">
                  <template>
                    <v-skeleton-loader
                      class="mx-auto mt-10"
                      height="200px"
                      width="100%"
                      type="card"
                      v-if="loadingTable"
                    >
                    </v-skeleton-loader>
                    <v-simple-table v-else show-select class="!rounded-lg">
                      <template v-slot:default>
                        <template v-if="orderList.length">
                          <thead>
                            <tr class="!bg-gray !rounded-t-xl">
                              <th
                                v-for="(item,idx) in tableHeader"
                                :key="idx"
                                class="text-left"
                              >
                                {{item.name}}
                              </th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr
                              v-for="(item,index) in orderList"
                              :key="index"
                              class="py-2"
                            >
                              <td>{{item.orderCode}}</td>
                              <td>{{item.shippingAddress.email}}</td>
                              <td>
                                {{item.createdAt &&
                                $utils.formatDate(item.createdAt)}}
                              </td>
                              <td>{{item.total}}</td>
                              <td>
                                <div
                                  v-if="item.orderStatus === 'processing'"
                                  class="py-1 px-2 rounded-lg capitalize w-fit bg-blue-100"
                                >
                                  <span class="contentBrand"> Processing </span>
                                </div>
                                <div
                                  v-if="item.orderStatus === 'canceled'"
                                  style="background-color: #e1effe"
                                  class="py-1 px-2 rounded-lg capitalize w-fit"
                                >
                                  <span style="color: #ff5252"> Canceled </span>
                                </div>
                                <div
                                  v-if="item.orderStatus === 'done'"
                                  style="background-color: #e1effe"
                                  class="py-1 px-2 rounded-lg capitalize w-fit"
                                >
                                  <span style="color: #4caf50"> Done </span>
                                </div>
                                <div
                                  v-if="item.orderStatus === 'fulfilled'"
                                  style="background-color: #e1effe"
                                  class="py-1 px-2 rounded-lg capitalize w-fit"
                                >
                                  <span style="color: #4caf50">
                                    Fulfilled
                                  </span>
                                </div>
                              </td>
                            </tr>
                          </tbody>

                          <tfoot v-if="orderList && orderList.length">
                            <tr class="!rounded-b-lg">
                              <td class="px-0 !rounded-b-lg" colspan="5">
                                <div
                                  class="h-20 !rounded-b-lg d-flex align-center justify-sm-space-between"
                                >
                                  <div
                                    id="hideBottomInput"
                                    class="d-flex align-center justify-center"
                                  >
                                    <p class="mb-0 mr-2">Rows per page:</p>
                                    <v-select
                                      :items="limitItems"
                                      dense
                                      solo
                                      v-model="config.limit"
                                      item-value="item"
                                      class="px-0"
                                      @change="onGetOrderList()"
                                      style="max-width: 80px; width: 100%"
                                    >
                                    </v-select>
                                  </div>
                                  <div class="text-center">
                                    <v-pagination
                                      v-model="config.page"
                                      :length="totalPage"
                                      :total-visible="5"
                                      prev-icon="mdi-menu-left"
                                      next-icon="mdi-menu-right"
                                    ></v-pagination>
                                  </div>
                                </div>
                              </td>
                            </tr>
                          </tfoot>
                        </template>
                        <template v-else>
                          <EmptyData />
                        </template>
                      </template>
                    </v-simple-table>
                  </template>
                </div>
              </v-card-text>
            </v-card>
          </v-tab-item>
          <v-tab-item class="!rounded-3xl !px-0">
            <v-card
              flat
              class="!rounded-xl"
              style="background: transparent !important"
            >
              <v-card-text class="!rounded-3xl px-0">
                <StoreOrder storeId.sync="storeId" />
              </v-card-text>
            </v-card>
          </v-tab-item>
          <v-tab-item class="!rounded-3xl !px-0">
            <v-card
              flat
              class="!rounded-xl"
              style="background: transparent !important"
            >
              <v-card-text class="!rounded-3xl px-0">
                <SettingProduct />
              </v-card-text>
            </v-card>
          </v-tab-item>
        </v-tabs-items>
      </v-tabs>
      <v-navigation-drawer
        absolute
        temporary
        right
        v-model="drawer"
        width="400"
      >
        <v-card class="elevation-0" v-if="orderDetail && orderDetail._id">
          <div class="d-flex align-center justify-space-between py-4 px-6">
            <p class="mb-0 fsize-20 contentBlack font-semibold">
              {{orderDetail.orderCode}}
            </p>
            <v-btn
              color="#DBE0E5"
              icon
              class="elevation-0 rounded-circle px-0"
              @click="drawer = false"
            >
              <v-icon color="#48545B"> mdi-close </v-icon>
            </v-btn>
          </div>
          <v-divider></v-divider>
          <div class="p-4">
            <div
              class="rounded border border-gray-[#E5E7EB] p-2 mt-2"
              v-for="(product,i) in orderDetail.listSelectedProductId"
              :key="i"
            >
              <div class="d-flex gap-2 mb-4">
                <img
                  :src="convertImage(product.imageUrl)"
                  style="
                    min-width: 89px;
                    max-width: 90px;
                    width: 100%;
                    height: 90px;
                  "
                  alt=""
                  srcset=""
                />
                <div>
                  <p class="mb-0 text-sm">{{product.productName}}</p>
                  <div class="flex flex-wrap">
                    <span
                      class="text-[#344054] bg-[#F2F4F7] text-xs py-1 px-2 mt-1 mr-1 rounded"
                      v-for="(variant, idx) in product.listValue"
                      :key="idx"
                      >{{variant}}</span
                    >
                  </div>
                </div>
              </div>
              <div class="d-flex justify-between text-sm">
                <span>Total:</span>
                <span class="font-semibold"
                  >${{product.price &&
                  $utils.formatCurrencyFloat(product.price)}} X
                  {{product.quantity}}</span
                >
              </div>
            </div>
            <div class="mt-6 text-sm">
              <p class="font-semibold mb-2">Order Details</p>
              <p class="mb-2">
                Order ID:
                <span class="font-semibold">{{orderDetail.orderCode}}</span>
              </p>
              <p class="mb-2">
                Date Created:{{orderDetail.createdAt &&
                $utils.formatDateCreatedAt(orderDetail.createdAt)}}
              </p>
              <p class="mb-2">
                Paid With: {{orderDetail.stripe ? 'Stripe' : 'Paypal'}}
              </p>
              <div class="d-flex gap-2 items-center mb-4">
                Status:
                <div class="d-flex">
                  <div
                    v-if="orderDetail.orderStatus === 'processing'"
                    style="background-color: #e1effe"
                    class="py-1 px-2 rounded-lg capitalize"
                  >
                    <span class="contentBrand"> Processing </span>
                  </div>
                  <div
                    v-if="orderDetail.orderStatus === 'pending'"
                    style="background: rgba(255, 193, 48, 0.08)"
                    class="py-1 px-2 rounded-lg capitalize"
                  >
                    <span style="color: #fb8c00"> Pending </span>
                  </div>
                  <div
                    v-if="orderDetail.orderStatus === 'canceled'"
                    style="background-color: #e1effe"
                    class="py-1 px-2 rounded-lg capitalize"
                  >
                    <span style="color: #ff5252"> Canceled </span>
                  </div>
                  <div
                    v-if="orderDetail.orderStatus === 'fulfilled'"
                    style="background-color: #e1effe"
                    class="py-1 px-2 rounded-lg capitalize"
                  >
                    <span style="color: #4caf50"> Fulfilled </span>
                  </div>
                </div>
              </div>
              <p class="font-semibold mb-2">Payment Details</p>
              <div class="d-flex gap-2 items-center justify-between mb-2">
                <span>Subtotal:</span>
                <span class="font-semibold"
                  >${{orderDetail.total &&
                  $utils.formatCurrencyFloat(orderDetail.total)}}</span
                >
              </div>
              <div class="d-flex gap-2 items-center justify-between mb-2">
                <span>Discount:</span>
                <span class="font-semibold"
                  >-${{orderDetail.discount &&
                  $utils.formatCurrencyFloat(orderDetail.discount)}}</span
                >
              </div>
              <div class="d-flex gap-2 items-center justify-between mb-4">
                <span
                  >Paid via {{orderDetail.stripe ? 'Stripe' : 'Paypal'}}:</span
                >
                <span class="font-semibold"
                  >${{$utils.formatCurrencyFloat(orderDetail.total -
                  orderDetail.discount)}}</span
                >
              </div>
              <p class="font-semibold mb-2">Customer Details</p>
              <div class="p-4 bg-gray-100 rounded">
                <p class="font-semibold mb-2">
                  {{orderDetail.shippingAddress.firstName}}
                  {{orderDetail.shippingAddress.lastName}}
                </p>
                <div class="d-flex gap-2 items-center justify-between mb-3">
                  <span class="text-[#667085]"
                    >{{orderDetail.shippingAddress.email}}</span
                  >
                  <!-- <v-icon>
                      mdi-content-copy
                    </v-icon> -->
                </div>
                <div class="d-flex gap-2 items-center justify-between mb-3">
                  <span class="text-[#667085]"
                    >{{orderDetail.shippingAddress.phoneNumber}}</span
                  >
                  <!-- <v-icon>
                      mdi-content-copy
                    </v-icon> -->
                </div>
                <div class="d-flex gap-2 items-center justify-between mb-0">
                  <span class="text-[#667085]"
                    >{{orderDetail.shippingAddress.address}},
                    {{orderDetail.shippingAddress.apartment}},
                    {{orderDetail.shippingAddress.city}},
                    {{orderDetail.shippingAddress.state}},
                    {{orderDetail.shippingAddress.zipcode}},
                    {{orderDetail.shippingAddress.country}}</span
                  >
                  <!-- <v-icon>
                      mdi-content-copy
                    </v-icon> -->
                </div>
              </div>
            </div>
          </div>
          <v-divider></v-divider>
          <div class="p-4 d-flex justify-end">
            <v-btn
              class="elevation-0 rounded"
              color="#D1DBE0"
              outlined
              @click="drawer = false"
            >
              <span class="!font-semibold text-none black--text"> Close </span>
            </v-btn>
          </div>
        </v-card>
      </v-navigation-drawer>
    </div>
  </template>
  <v-row justify="center">
    <v-dialog v-model="dialogCancelChange" max-width="360">
      <v-card class="pa-0">
        <div class="d-flex align-center justify-space-between p-4">
          <p class="mb-0 fsize-18 lightContentPrimary">Discard changes</p>
          <v-btn
            color="#949494"
            icon
            small
            @click="dialogCancelChange =!dialogCancelChange"
          >
            <v-icon color="#949494" size="20"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider class="mb-4"></v-divider>
        <div class="px-4 d-flex items-center gap-6 flex-col">
          <div class="d-flex items-center gap-4 w-full">
            <p class="text-sm text-[#171717] leading-5 font-normal">
              All you changes have made will not be applied. Are you sure to
              continue?
            </p>
          </div>
        </div>
        <v-divider class="my-4"></v-divider>
        <div class="pb-4 px-4 d-flex align-center justify-end gap-4">
          <v-btn
            outlined
            text
            class="!capitalize elevation-0"
            @click="dialogCancelChange =!dialogCancelChange"
          >
            Cancel
          </v-btn>
          <v-btn
            @click="revertChange()"
            color="#EF4444"
            class="!capitalize elevation-0"
          >
            <span class="text-white"> Discard Change </span>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
